DESCRIPTION = "Osmocom PCU for sysmoBTS"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM="file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"

SRC_URI = "git://git.osmocom.org/osmo-pcu.git;protocol=git;branch=jerlbeck/master"
SRCREV = "6e75bc7fe304eec274f6e485a8b23a164fd4e28e"
PV = "0.4+git${SRCPV}"
PR = "r5.${META_TELEPHONY_OSMO_INC}"
S = "${WORKDIR}/git"

DEPENDS = "libosmocore osmo-bts"
DEPENDS_append_sysmobts-v2 = " femtobts-api"
DEPENDS_append_litecell15   = " lc15-firmware"
DEPENDS_append_sysmobts2100 = " lc15-firmware"

# This implements PCU Interface v5 (GPRS RSSI)
RDEPENDS_${PN} = "osmo-bts (>= 0.4.0)"

EXTRA_OECONF_sysmobts-v2 += "--enable-sysmocom-bts --enable-sysmocom-dsp"
EXTRA_OECONF_litecell15   += "--enable-lc15bts-phy"
EXTRA_OECONF_sysmobts2100 += "--enable-lc15bts-phy"

inherit autotools pkgconfig

# Select the API version
inherit femtobts_api
CPPFLAGS_append_sysmobts-v2 = " ${BTS_HW_VERSION} "

do_install_append() {
        # Install systemd and enable on sysinit
        install -d ${D}${systemd_unitdir}/system/multi-user.target.wants/
        install -m 0644 ${S}/contrib/sysmopcu.service ${D}${systemd_unitdir}/system/
        ln -sf ../sysmopcu.service ${D}${systemd_unitdir}/system/multi-user.target.wants/
}

FILES_${PN} += "${systemd_unitdir}"
